/* Copyright (C) 2007 Christian Dywan <christian at twotoasts dot de>

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. */

#ifndef __SOKOKE_H__
#define __SOKOKE_H__ 1

#include <string.h>
#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

void sokoke_combo_box_add_strings(GtkComboBox*, const gchar*, ...);

void sokoke_widget_set_present(GtkWidget*, gboolean);

void sokoke_container_show_children(GtkContainer*);

GtkWidget* sokoke_hig_frame_new(const gchar*);

void sokoke_entry_set_default_text(GtkEntry*, const gchar*);

typedef struct
{
  GtkDialog* dialog;
  gint response_id;
  GMainLoop* loop;
  gboolean destroyed;
} sokoke_ri;

gchar* sokoke_key_file_get_string_default(GKeyFile*, const gchar*, const gchar*
 , const gchar*, GError**);

gint sokoke_key_file_get_integer_default(GKeyFile*, const gchar*, const gchar*
 , const gint, GError**);

gboolean sokoke_key_file_save_to_file(GKeyFile*, const gchar*, GError**);

void sokoke_widget_get_text_size(GtkWidget*, const gchar*, gint*, gint*);

gint sokoke_dialog_run_modeless(GtkDialog*);

void sokoke_widget_set_transparency(GtkWidget*, gfloat);

void sokoke_menu_item_set_accel(GtkMenuItem*, const gchar*, const gchar*
 , GdkModifierType);

gboolean sokoke_entry_can_undo(GtkEntry*);

gboolean sokoke_entry_can_redo(GtkEntry*);

void sokoke_entry_undo(GtkEntry*);

void sokoke_entry_redo(GtkEntry*);

gboolean sokoke_entry_get_can_undo(GtkEntry*);

void sokoke_entry_set_can_undo(GtkEntry*, gboolean);

#endif /* !__SOKOKE_H__ */
